// Fill out your copyright notice in the Description page of Project Settings.


#include "Invulnerability.h"

AInvulnerability::AInvulnerability()
{
	// Set default sprite
	static ConstructorHelpers::FObjectFinder<UPaperSprite> SpriteAsset(TEXT("/Script/Paper2D.PaperSprite'/Game/Sprites/Pickup_Shield_Sprite.Pickup_Shield_Sprite'"));
	if (SpriteAsset.Succeeded())
	{
		m_paper_sprite->SetSprite(SpriteAsset.Object);
		m_paper_sprite->SetWorldScale3D(FVector(0.33, 0.33, 0.33));
		m_paper_sprite->SetWorldRotation(FRotator(0,0,-70));
	}
}
